## ros-galactic-interactive-markers 2.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(interactive_markers)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rmw REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(visualization_msgs REQUIRED)

ament_python_install_package(${PROJECT_NAME})

add_library(${PROJECT_NAME} SHARED
  src/interactive_marker_server.cpp
  src/tools.cpp
  src/menu_handler.cpp
  src/interactive_marker_client.cpp
  src/message_context.cpp
)
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include>")
ament_target_dependencies(${PROJECT_NAME}
  "rclcpp"
  "rmw"
  "tf2"
  "tf2_geometry_msgs"
  "visualization_msgs")

install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(
  DIRECTORY include/
  DESTINATION include)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}
  PRIVATE "INTERACTIVE_MARKERS_BUILDING_LIBRARY")

ament_export_dependencies("rclcpp")
ament_export_dependencies("rmw")
ament_export_dependencies("tf2")
ament_export_dependencies("tf2_geometry_msgs")
ament_export_dependencies("visualization_msgs")
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(geometry_msgs REQUIRED)
  find_package(std_msgs REQUIRED)

  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(test_interactive_marker_server
    test/${PROJECT_NAME}/test_interactive_marker_server.cpp
    TIMEOUT 90
  )
  ament_target_dependencies(test_interactive_marker_server
    "geometry_msgs"
    "rclcpp"
    "std_msgs"
  )
  target_link_libraries(test_interactive_marker_server
    ${PROJECT_NAME}
  )

  ament_add_gtest(test_interactive_marker_client
    test/${PROJECT_NAME}/test_interactive_marker_client.cpp
  )
  ament_target_dependencies(test_interactive_marker_client
    "geometry_msgs"
    "rclcpp"
    "std_msgs"
    "tf2"
  )
  target_link_libraries(test_interactive_marker_client
    ${PROJECT_NAME}
  )
endif()

ament_package()

=== debian/changelog ===
ros-galactic-interactive-markers (2.2.0-2focal) focal; urgency=high

  * Cleanup bsd 3 clause license usage (#61 <https://github.com/ros-visualization/interactive_markers/issues/61>)
  * Add missing includes (#81 <https://github.com/ros-visualization/interactive_markers/issues/81>)
  * Contributors: Bjar Ne, Tully Foote

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-interactive-markers (2.1.3-2focal) focal; urgency=high

  * Update maintainers (#79 <https://github.com/ros-visualization/interactive_markers/issues/79>)
  * Increase test timeout necessary for Connext (#77 <https://github.com/ros-visualization/interactive_markers/issues/77>)
  * Fix clang warnings (#75 <https://github.com/ros-visualization/interactive_markers/issues/75>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-interactive-markers (2.1.2-2focal) focal; urgency=high

  * Remove explicit template parameter in spin_until_future_complete (#72 <https://github.com/ros-visualization/interactive_markers/issues/72>)
  * Contributors: Sarthak Mittal

 -- William Woodall <william@osrfoundation.org>  Fri, 26 Jun 2020 07:00:00 -0000

ros-galactic-interactive-markers (2.1.1-2focal) focal; urgency=high

  * export targets in a addition to include directories / libraries (#70 <https://github.com/ros-visualization/interactive_markers/issues/70>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-interactive-markers (2.1.0-2focal) focal; urgency=high

  * avoid new deprecations (#69 <https://github.com/ros-visualization/interactive_markers/issues/69>)
  * Merge pull request #60 <https://github.com/ros-visualization/interactive_markers/issues/60> from ros-visualization/revert-58-bsd3clause_fixup
  * Revert "Cleanup bsd 3 clause license usage"
  * Merge pull request #58 <https://github.com/ros-visualization/interactive_markers/issues/58> from ros-visualization/bsd3clause_fixup
  * code style only: wrap after open parenthesis if not in one line (#57 <https://github.com/ros-visualization/interactive_markers/issues/57>)
  * Cleanup bsd 3 clause license usage
  * Contributors: Dirk Thomas, Tully Foote, William Woodall

 -- William Woodall <william@osrfoundation.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-galactic-interactive-markers (2.0.1-2focal) focal; urgency=high

  * Fix test flakes by waiting for pub/sub discovery (#55 <https://github.com/ros-visualization/interactive_markers/issues/55>)
  * Add parameters for QoS of update and feedback topics (#54 <https://github.com/ros-visualization/interactive_markers/issues/54>)
  * Port Python implementation to ROS 2 (#53 <https://github.com/ros-visualization/interactive_markers/issues/53>)
    * Move Python files to their own directory
    * Install Python via ament_cmake_python
    * Make Python implementation ROS 2 compatible
    * Use docstrings
    * Minor refactor of callback logic
    * Guard against None values and KeyError's
    * Change insert() signature to take keyword arguments
    * Rename variables for clarity (e.g. 'cb' -> 'callback')
    * Fix PEP 257 errors
    * Remove unused setup.py
    * Enable flake8 tests and fix errors
    * Improve performance
    * Clear pending updates after applying all of them
    * Don't rely on user to apply any pose updates
    * Expose QoSProfile a parameter
    * Add Python implementation dependencies to package.xml
  * Contributors: Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-interactive-markers (2.0.0-2focal) focal; urgency=high

  * Add missing visibility macros (#51 <https://github.com/ros-visualization/interactive_markers/issues/51>)
  * Less verbose logging (#45 <https://github.com/ros-visualization/interactive_markers/issues/45>)
  * Rename enums to avoid collisions with MSVC compiler defines (#49 <https://github.com/ros-visualization/interactive_markers/issues/49>)
  * Catch polymorphic exceptions by reference (#48 <https://github.com/ros-visualization/interactive_markers/issues/48>)
  * Port to ROS 2 (#44)
    
    Style and other aesthetic changes
    
    Use tf2::BufferCoreInterface
    
    Replace 'init' topic with a ROS service
    
    Merge SingleClient logic into InteractiveMarkerClient
    
    Remove notion of server ID
    
    Add feedback publisher to client
    
    Default to C++14 and set stricter compiler flags
    
    Fix Windows compiler warnings
    
    Remove StateMachine class
    
    Fix Clang warnings
  * Contributors: David Gossow, Jacob Perron, Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-galactic-interactive-markers (1.11.4-2focal) focal; urgency=high

  * Fixed a crash when updates arrive, or are being processed, while shutdown is called (#36 <https://github.com/ros-visualization/interactive_markers/issues/36>)
  * Contributors: Simon Schmeisser

 -- William Woodall <william@osrfoundation.org>  Mon, 16 Apr 2018 07:00:00 -0000

ros-galactic-interactive-markers (1.11.3-2focal) focal; urgency=high

  * The ``processFeedback`` function of the menu handler no longer catches the ``KeyErrors`` of the feedback_cb.
    See: #29 <https://github.com/ros-visualization/interactive_markers/issues/29>
  * Added the ``empty()`` and ``size()`` members to ``InteractiveMarkerServer`` interface.
    See: #30 <https://github.com/ros-visualization/interactive_markers/issues/30>
  * Contributors: Blake Anderson, Guglielmo Gemignani

 -- William Woodall <william@osrfoundation.org>  Wed, 24 Aug 2016 07:00:00 -0000

ros-galactic-interactive-markers (1.11.2-2focal) focal; urgency=high

  * Fix build when disabling tests with ``-DCATKIN_ENABLE_TESTING=OFF``.
    See: #26 <https://github.com/ros-visualization/interactive_markers/issues/26>
  * Fix use of uninitialized variables.


=== debian/control ===
Source: ros-galactic-interactive-markers
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-ament-cmake-python, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-geometry-msgs, ros-galactic-rclcpp, ros-galactic-rmw, ros-galactic-tf2, ros-galactic-tf2-geometry-msgs, ros-galactic-visualization-msgs, ros-galactic-ros-workspace
Homepage: http://ros.org/wiki/interactive_markers
Standards-Version: 3.9.2

Package: ros-galactic-interactive-markers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-builtin-interfaces, ros-galactic-rclcpp, ros-galactic-rclpy, ros-galactic-rmw, ros-galactic-std-msgs, ros-galactic-tf2, ros-galactic-tf2-geometry-msgs, ros-galactic-visualization-msgs, ros-galactic-ros-workspace
Description: 3D interactive marker communication library for RViz and similar tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-interactive-markers//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
